# 0: Nothing
# 1: Wall
# 2: Chest
# 3: Goal point
# 4: Player


map_001 = \
[
   "0000111110000000000",
   "0000100010000000000",
   "0000120010000000000",
   "0011100211000000000",
   "0010020201000000000",
   "1110101101000111111",
   "1000101101111100331",
   "1020020000000000331",
   "1111101110141100331",
   "0000100000111111111",
   "0000111111100000000"
]

def draw(shape:list):
    for y in shape:
        line = ""
        for x in y:
            match x:
                case "0":
                    line += " "
                case "1":
                    line += "#"
                case "2":
                    line += "X"
                case "3":
                    line += "+"
                case "4":
                    line += "@"
        print(line)
            

draw(map_001)